Read a project
curl --request GET \
--url https://api.motion.so/api/motion/projects/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.motion.so/api/motion/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.motion.so/api/motion/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/projects/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/projects/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.motion.so/api/motion/projects/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/projects/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"title": "Product launch",
"status": "completed",
"created_at": "2026-11-17T20:00:00Z",
"updated_at": "2026-11-17T20:00:00Z",
"chat_url": "https://motion.so/agent?chat=4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"generations": [
{
"id": "9d2f19e2-2366-46bd-8963-869c340f723a",
"created_at": "2026-11-17T20:00:00Z",
"status": "ready",
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb",
"compositions": [
{
"id": "9d2f19e2-2366-46bd-8963-869c340f723a:film",
"kind": "video",
"width": 1920,
"height": 1080,
"duration_seconds": 15
},
{
"id": "9d2f19e2-2366-46bd-8963-869c340f723a:thumbnail",
"kind": "image",
"width": 640,
"height": 360,
"duration_seconds": null
}
]
}
],
"has_more": false,
"next_cursor": null,
"exports": [
{
"generation_id": "9d2f19e2-2366-46bd-8963-869c340f723a",
"id": "46ed7444-a055-462b-9c17-0a2cdd5ca393",
"project_id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"format": "mp4",
"created_at": "2026-11-17T20:00:00Z",
"status": "completed",
"progress": 100,
"stage": "completed",
"warnings": [],
"error": null,
"download_url": "https://downloads.example.com/film-mp4.zip",
"expires_at": "2026-11-17T21:00:00Z",
"filename": "film-mp4.zip",
"origin": "api",
"created_by": "bfa220bc-731d-4d9a-a6bf-e7da483f52ca",
"content_type": "application/zip",
"created_by_you": true,
"composition_ids": [
"9d2f19e2-2366-46bd-8963-869c340f723a:film"
],
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb"
},
{
"generation_id": "9d2f19e2-2366-46bd-8963-869c340f723a",
"id": "5a4f249a-8c2b-471f-b9b0-ff8e3e5e1aa9",
"project_id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"format": "png",
"created_at": "2026-11-17T20:00:00Z",
"status": "preparing",
"progress": 0,
"stage": "preparing",
"warnings": [],
"error": null,
"download_url": null,
"expires_at": null,
"origin": "api",
"created_by": "bfa220bc-731d-4d9a-a6bf-e7da483f52ca",
"created_by_you": true,
"composition_ids": [
"9d2f19e2-2366-46bd-8963-869c340f723a:thumbnail"
],
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb"
}
],
"export_formats": [
"mp4",
"png"
],
"exports_has_more": false,
"exports_next_cursor": null,
"connectors": null,
"effort": "standard",
"messages": [
{
"id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb",
"role": "user",
"content": "Create a launch video and thumbnail.",
"sequence_num": 1,
"created_at": "2026-11-17T19:59:00Z",
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb",
"effort": "standard",
"template_ids": [],
"brand_kit_ids": []
},
{
"id": "852c42fa-d891-4483-9f54-9b35ce6e51ef",
"role": "assistant",
"content": "Created the video and thumbnail.",
"sequence_num": 2,
"created_at": "2026-11-17T20:00:00Z",
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb",
"effort": "standard",
"explanations": [
"Matched the requested colors and layout."
],
"explanations_omitted": false
}
],
"messages_has_more": false,
"messages_next_after_sequence": null
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Projects
Read a project
Read project status, messages, saved compositions and exports.
GET
/
projects
/
{id}
Read a project
curl --request GET \
--url https://api.motion.so/api/motion/projects/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.motion.so/api/motion/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.motion.so/api/motion/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/projects/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/projects/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.motion.so/api/motion/projects/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/projects/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"title": "Product launch",
"status": "completed",
"created_at": "2026-11-17T20:00:00Z",
"updated_at": "2026-11-17T20:00:00Z",
"chat_url": "https://motion.so/agent?chat=4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"generations": [
{
"id": "9d2f19e2-2366-46bd-8963-869c340f723a",
"created_at": "2026-11-17T20:00:00Z",
"status": "ready",
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb",
"compositions": [
{
"id": "9d2f19e2-2366-46bd-8963-869c340f723a:film",
"kind": "video",
"width": 1920,
"height": 1080,
"duration_seconds": 15
},
{
"id": "9d2f19e2-2366-46bd-8963-869c340f723a:thumbnail",
"kind": "image",
"width": 640,
"height": 360,
"duration_seconds": null
}
]
}
],
"has_more": false,
"next_cursor": null,
"exports": [
{
"generation_id": "9d2f19e2-2366-46bd-8963-869c340f723a",
"id": "46ed7444-a055-462b-9c17-0a2cdd5ca393",
"project_id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"format": "mp4",
"created_at": "2026-11-17T20:00:00Z",
"status": "completed",
"progress": 100,
"stage": "completed",
"warnings": [],
"error": null,
"download_url": "https://downloads.example.com/film-mp4.zip",
"expires_at": "2026-11-17T21:00:00Z",
"filename": "film-mp4.zip",
"origin": "api",
"created_by": "bfa220bc-731d-4d9a-a6bf-e7da483f52ca",
"content_type": "application/zip",
"created_by_you": true,
"composition_ids": [
"9d2f19e2-2366-46bd-8963-869c340f723a:film"
],
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb"
},
{
"generation_id": "9d2f19e2-2366-46bd-8963-869c340f723a",
"id": "5a4f249a-8c2b-471f-b9b0-ff8e3e5e1aa9",
"project_id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"format": "png",
"created_at": "2026-11-17T20:00:00Z",
"status": "preparing",
"progress": 0,
"stage": "preparing",
"warnings": [],
"error": null,
"download_url": null,
"expires_at": null,
"origin": "api",
"created_by": "bfa220bc-731d-4d9a-a6bf-e7da483f52ca",
"created_by_you": true,
"composition_ids": [
"9d2f19e2-2366-46bd-8963-869c340f723a:thumbnail"
],
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb"
}
],
"export_formats": [
"mp4",
"png"
],
"exports_has_more": false,
"exports_next_cursor": null,
"connectors": null,
"effort": "standard",
"messages": [
{
"id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb",
"role": "user",
"content": "Create a launch video and thumbnail.",
"sequence_num": 1,
"created_at": "2026-11-17T19:59:00Z",
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb",
"effort": "standard",
"template_ids": [],
"brand_kit_ids": []
},
{
"id": "852c42fa-d891-4483-9f54-9b35ce6e51ef",
"role": "assistant",
"content": "Created the video and thumbnail.",
"sequence_num": 2,
"created_at": "2026-11-17T20:00:00Z",
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb",
"effort": "standard",
"explanations": [
"Matched the requested colors and layout."
],
"explanations_omitted": false
}
],
"messages_has_more": false,
"messages_next_after_sequence": null
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Authorizations
MotionApiKeyMotionOAuth
Query Parameters
Response
Success
Project creation time.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Time the project record was last updated.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Was this page helpful?